secureScores のリスト

名前空間: microsoft.graph

secureScore オブジェクトの一覧を取得します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) SecurityEvents.Read.All、SecurityEvents.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション SecurityEvents.Read.All、SecurityEvents.ReadWrite.All

HTTP 要求

GET /security/secureScores
GET /security/secureScores?$top=1
GET /security/secureScores?$top=1&$skip=7
GET /security/secureScores?$filter={property} eq '{property-value}'

オプションのクエリ パラメーター

このメソッドは、応答をカスタマイズするために次の OData クエリ パラメーターをサポートします:

  • $count
  • $filter
  • $skip
  • $top は、各セキュリティ API プロバイダーから集計された上位の結果を返します。

要求ヘッダー

名前 説明
Authorization ベアラー {code}。必須。

要求本文

このメソッドには、要求本文を指定しません。 要求本文は無視されます。

応答

成功した場合、このメソッドは 200 OK 応答コードと応答本文内の secureScores オブジェクトのコレクションを返します。

要求

要求の例を次に示します。

GET https://graph.microsoft.com/v1.0/security/secureScores?$top=1

応答

応答の例を次に示します。

HTTP/1.1 200 OK
Content-type: application/json

{
    "value": [
        {
            "id": "00000001-0001-0001-0001-000000000001c_2019-03-19",
            "azureTenantId": "00000001-0001-0001-0001-000000000001c",
            "activeUserCount": 0,
            "createdDateTime": "2019-03-19T15:21:00Z",
            "currentScore": 387.0,
            "enabledServices": [
                "HasExchange",
                "HasSharePoint",
                "HasInTune"
            ],
            "licensedUserCount": 100,
            "maxScore": 697.0,
            "averageComparativeScores": [
                {
                    "basis": "AllTenants",
                    "averageScore": 37.0
                },
                {
                    "basis": "TotalSeats",
                    "averageScore": 46.0
                },
                {
                    "basis": "IndustryTypes",
                    "averageScore": 109.0
                }
            ],
            "controlScores": [
                {
                    "controlCategory": "Identity",
                    "controlName": "AdminMFA",
                    "description": "Requiring multi-factor authentication (MFA) for all Azure Active Directory accounts with privileged roles",
                    "score": 35.0
                },
                {
                    "controlCategory": "Data",
                    "controlName": "DLPEnabled",
                    "description": "Data Loss Prevention (DLP) policies can be used to comply with business standards and industry regulations.",
                    "score": 20.0
                }
            ],
            "vendorInformation": {
                "provider": "SecureScore",
                "providerVersion": null,
                "subProvider": null,
                "vendor": "Microsoft"
            }
        }
    ]
}